Recommended update for gdb

SUSE Recommended Update: Recommended update for gdb
Announcement ID: SUSE-RU-2018:3623-1
Rating: moderate
References: #1102564
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP3
  • SUSE Linux Enterprise Server 12-SP3
  • SUSE Linux Enterprise Desktop 12-SP3

An update that has one recommended fix can now be installed.

Description:

This update for gdb fixes the following issues:
GDB was updated to the 8.2 release:

  • 'symbol-file' and 'add-symbol-file' accept -o to add relative offset to all sections
  • pager accepts 'c' response to disable it for rest of command
  • accept _Alignof and alignof in C resp. C++ expressions
  • new target riscv*-*-elf
  • python API extensions: gdb.Type.align, gdb.execute deals with multi-line gdb commands, gdb.convenience_variable and gdb.set_convenience_variable to access convenience variables,
  • aarch64: properly support hardware watchpoints on unaligned addresses (needs kernel >= 4.10)
  • Support access to new POWER8 registers [fate#325178, fate#326120]
  • Support ipv6 for gdbserver connections.
  • Update to intel processor trace library 2.0 (from 1.6.1).

Changes in the 8.1 release:
  • ptype/o prints offsets and sizes of members (like pahole)
  • tab-completion improved: quoting function names is not generally necessary anymore, completion offers for breakpoint don't include data symbol
  • enable/disable breakpoints now accept ranges: 'disable 1.3-5'
  • new commands:

- set/show cwd: working directory of debuggee - set/show compile-gcc: program to use for 'compile' command - starti: start program and stop at first instruction - TUI single-key commands: 'i' for stepi and 'o' for nexti
  • --readnever option disables any reading of debug info (for dumping)
  • s390: guarded storage register access for z14
  • gcore option -a dumps all memory mapping
  • C++ breakpoints: 'b foo' will now set a breakpoint on all functions and methods named 'foo' no matter the scope. Use -qualified if you don't want that
  • python scripting: new events gdb.new_inferior, gdb.inferior_deleted and gdb.new_thread; new command rbreak (breakpoint accepting regexps)
  • gdbserver can be passed environment parameters to remote debuggee

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Software Development Kit 12-SP3:
    zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-2584=1
  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-2584=1
  • SUSE Linux Enterprise Desktop 12-SP3:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-2584=1

Package List:

  • SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le s390x x86_64):
    • gdb-debuginfo-8.2-2.6.1
    • gdb-debugsource-8.2-2.6.1
    • gdbserver-8.2-2.6.1
    • gdbserver-debuginfo-8.2-2.6.1
  • SUSE Linux Enterprise Software Development Kit 12-SP3 (s390x):
    • gdb-debuginfo-32bit-8.2-2.6.1
    • gdbserver-32bit-8.2-2.6.1
    • gdbserver-debuginfo-32bit-8.2-2.6.1
  • SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):
    • gdb-8.2-2.6.1
    • gdb-debuginfo-8.2-2.6.1
    • gdb-debugsource-8.2-2.6.1
  • SUSE Linux Enterprise Desktop 12-SP3 (x86_64):
    • gdb-8.2-2.6.1
    • gdb-debuginfo-8.2-2.6.1
    • gdb-debugsource-8.2-2.6.1

References: